## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate html5ever

Name:           rust-html5ever
Version:        0.29.0
Release:        %autorelease
Summary:        High-performance browser-grade HTML5 parser

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/html5ever
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency
Patch:          html5ever-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
High-performance browser-grade HTML5 parser.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+trace_tokenizer-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trace_tokenizer-devel %{_description}

This package contains library source intended for building other packages which
use the "trace_tokenizer" feature of the "%{crate}" crate.

%files       -n %{name}+trace_tokenizer-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Sep 24 2024 Fabio Valentini <decathorpe@gmail.com> - 0.29.0-1
- Update to version 0.29.0; Fixes RHBZ#2270932

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Mar 29 2023 Fabio Valentini <decathorpe@gmail.com> - 0.26.0-1
- Update to version 0.26.0; Fixes RHBZ#2067720

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 04 2022 Fabio Valentini <decathorpe@gmail.com> - 0.25.2-1
- Update to version 0.25.2

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Feb 15 15:30:30 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.25.1-1
- Update to 0.25.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Sep 23 07:55:27 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.24.1-1
- Update to 0.24.1

* Fri Sep 13 18:15:47 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.24.0-1
- Update to 0.24.0
- Bump criterion to 0.3

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 20:01:02 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.23.0-2
- Regenerate

* Sun May 05 12:41:32 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.23.0-1
- Update to 0.23.0

* Tue Apr 30 08:37:41 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.22.8-1
- Update to 0.22.8

* Mon Mar 11 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.22.5-1
- Initial package

## END: Generated by rpmautospec
